=== modified file 'start-loggerhead.py'
--- start-loggerhead.py	2008-06-22 21:33:23 +0000
+++ start-loggerhead.py	2008-06-23 01:40:28 +0000
@@ -2,9 +2,10 @@
 
 import logging
 import logging.handlers
+from optparse import OptionParser
 import os
 import sys
-from optparse import OptionParser
+import urlparse
 
 from configobj import ConfigObj
 
@@ -121,8 +122,11 @@
     app = make_filter(app, None)
 
     if webpath:
-        from paste.deploy.config import PrefixMiddleware
-        app = PrefixMiddleware(translate_forwarded_server=True, prefix=webpath)
+        scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
+        def app(environ, start_response, orig=app):
+            environ['SCRIPT_NAME'] = path
+            environ['HTTP_HOST'] = netloc
+            return orig(environ, start_response)
 
     try:
         httpserver.serve(

